# Summary

- [什么是 RustSBI？](./chapter_01_what_is_rustsbi.md)
- [RustSBI 核心库](./chapter_02_libraries.md)
    - [`rustsbi` 核心抽象库](./02_libraries/01_rustsbi.md)
    - [`sbi-rt` 特权态运行环境](./02_libraries/02_sbi_rt.md)
    - [`sbi-spec` 常量与常数库](./02_libraries/03_sbi_spec.md)
    - [`sbi-testing` 测试环境库](./02_libraries/04_sbi_testing.md)
- [RustSBI Prototyper](./chapter_03_prototyper.md)
- [RustSBI 维护的裸机支持包](./chapter_04_hal.md)
    - [`allwnner-hal` 全志芯片支持包](./04_hal/allwinner.md)
    - [`bouffalo-hal` 博流芯片支持包](./04_hal/bouffalo.md)
    - [`hpmicro-hal` 先楫芯片支持包](./04_hal/hpmicro.md)
    - [`kendryte-hal` 勘智芯片支持包](./04_hal/kendryte.md)
    - [`sophgo-hal` 算能芯片支持包](./04_hal/sophgo.md)
    - [其它 RustSBI 贡献的支持包](./04_hal/others.md)
- [实战案例](./chapter_05.md)
- [孵化中的 RustSBI 项目](./chapter_06_incubating.md)
    - [RustSBI Agent 大模型问答智能体](./06_incubating/rustsbi_agent.md)
    - [ArceBoot 特权态引导程序](./06_incubating/arceboot.md)
- [开源代码指南](./chapter_07_oss_guide.md)
    - [代码获取与构建](./07_oss_guide/01_usage.md)
    - [贡献流程规范](./07_oss_guide/02_contribution.md)
    - [开发规范](./07_oss_guide/03_development.md)
    - [社区资源](./07_oss_guide/04_community.md)
- [附录](./appendix.md)
